package com.yida.data.common.core.enums.attendance;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 考勤规则类型
 */
@Getter
@AllArgsConstructor
public enum AttendanceUserTypeEnum {
    /**
     * 教职工打卡
     */
    STAFF(0, "教职工打卡"),

    /**
     * 学生上学考勤
     */
    STUDENT_TO_SCHOOL(1, "学生上学考勤"),

    /**
     * 学生宿舍考勤
     */
    STUDENT_TO_DORM(2, "学生宿舍考勤");

    private final Integer value;
    private final String name;
}
